package com.ym.mec.biz.service;


import com.ym.mec.auth.api.dto.MusicScoreQueryInfo;
import com.ym.mec.biz.dal.entity.SysMusicScoreCategories;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SysMusicScoreCategoriesService extends BaseService<Integer, SysMusicScoreCategories> {

    List<SysMusicScoreCategories> queryTree(MusicScoreQueryInfo menuQueryInfo);
    
    List<SysMusicScoreCategories> queryCategoriesTreeList(String categoryIdList, Boolean isQueryEnable);

    void save(SysMusicScoreCategories musicScoreCategories);

    void updateCategories(SysMusicScoreCategories musicScoreCategories);

    void del(Integer id);

    void enable(Integer categoriesId);

    SysMusicScoreCategories getDetail(Integer categoriesId);
    
    public SysMusicScoreCategories getChildTree(SysMusicScoreCategories sysMusicScoreCategories);
    
    public SysMusicScoreCategories getParentTree(SysMusicScoreCategories sysMusicScoreCategories);
}